Subject: Re: bug#28814: [BUMP, PATCH] (26.0.90; When *xref* window is needed, original window-switching intent is lost )

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2017 19:42:44 +0300

> From: [email-masked] (João Távora)
> Cc: [email-masked],  [email-masked]
> Date: Wed, 25 Oct 2017 21:56:21 +0100
> 
> > How about 'Q'?
> 
> OK. I used 'Q'. And added 'TAB'. Because it's a bit what happens in
> completion, which also selects and quits the transient completions
> window.

If Dmitry doesn't like 'Q', I'm not wedded to it.  Feel free to change
the keybinding.

> >> It’s a bugfix, so emacs-26.
> >
> > I'd need to see the patches in their last incarnation (if you already
> > posted them, and nothing needs to be changed, a URL will be
> > appreciated).  In general, this changes user-visible behavior in
> > non-trivial ways, so it's borderline between a bugfix and a new
> > feature.  But if the patches are small and simple enough, I guess they
> > could be okay for emacs-26.
> 
> Let's hope they are. Attached are 4 patches. The 2 first are part of the
> bugfix. Number 3 is the new xref-quit-and-goto-xref and number 4 are
> documentation changes to the .texi manual (also fixed a small bug there)
> and NEWS.

Thanks.  What can I say? the patches are really not trivial, and I
hesitate to put them on emacs-26.  During development of Emacs 25 it
took us some time and effort to stabilize these features, so I'd hate
to destabilize them now because of some unintended consequence we
don't currently envision.  OTOH, we are only at the first pretest.

Dmitry, what's your opinion?

A few comments to the documentation:

 . Please proofread the text for UK English spellings (e.g., "honour")
   and only one space between sentences.
 . I don't understand the reason for such extensive changes in the
   manual.  Most of them look purely stylistic, and I see no problems
   with the original text to justify that.  What did I miss?
 . I don't see a need for a NEWS entry.  If this is a bugfix, then it
   doesn't belong there, as we don't describe bugfixes in NEWS (there
   are too many to describe).